X-Git-Url: https://git.rohieb.name/openwrt.git/blobdiff_plain/6fa165042b07cbb6ff52d2439e79d8ffe17be4ab..8cd0206134327033b38ed5233bff27ba5cc47ce2:/openwrt/target/default/target_skeleton/bin/login?ds=inline

diff --git a/openwrt/target/default/target_skeleton/bin/login b/openwrt/target/default/target_skeleton/bin/login
index 75208248d..bb065e54a 100755
--- a/openwrt/target/default/target_skeleton/bin/login
+++ b/openwrt/target/default/target_skeleton/bin/login
@@ -1,2 +1,20 @@
 #!/bin/sh
-exec ash --login
+. /etc/sysconf 2>&-
+
+[ "$FAILSAFE" != "true" ] &&
+[ "$BR2_SYSCONF_TELNET_FAILSAFE_ONLY" = "y" ] &&
+{
+  grep '^root:[^!]' /etc/passwd >&- 2>&- &&
+  {
+    echo "Login failed."
+    exit 0
+  } || {
+cat << EOF
+ === IMPORTANT ============================
+  Use 'passwd' to set your login password
+  this will disable telnet and enable SSH
+ ------------------------------------------
+EOF
+  }
+}
+exec /bin/ash --login